This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1000414 - (CVE-2013-2893) CVE-2013-2893 Kernel: HID: LG: heap overflow flaw
CVE-2013-2893 Kernel: HID: LG: heap overflow flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130829,repor...
: Security
Depends On: 1000417 1000420 1000421 1002575
Blocks: 1000398
  Show dependency treegraph
 
Reported: 2013-08-23 08:03 EDT by Prasad J Pandit
Modified: 2015-10-15 13:58 EDT (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-10 04:36:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2013-08-23 08:03:41 EDT
Linux kernel built with the Human Interface Device(CONFIG_HID) support along
with the Logitech force feedback drivers is vulnerable to a heap overflow flaw. 

 - CONFIG_LOGITECH_FF
 - CONFIG_LOGIG940_FF
 - CONFIG_LOGIWHEELS_FF
 - CONFIG_LOGIRUMBLEPAD2_FF

It could occur when the HID device sends malicious output report to the kernel
drivers.

A local user with physical access to the system could use this flaw to crash
the kernel resulting in DoS or potential privilege escalation to gain root
access via arbitrary code execution.
Comment 1 Prasad J Pandit 2013-08-23 08:06:02 EDT
Statement:

This issue does not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise Linux 6.

This issue affects the version of the kernel package as shipped with Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise MRG 2 may address this issue.

Note: user would need physical access to the system to exploit this issue.
Comment 4 Prasad J Pandit 2013-08-29 09:14:38 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1002575]
Comment 6 Fedora Update System 2013-09-12 21:03:54 EDT
kernel-3.10.11-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-09-15 20:25:50 EDT
kernel-3.10.11-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 errata-xmlrpc 2013-10-31 12:26:40 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1490 https://rhn.redhat.com/errata/RHSA-2013-1490.html
Comment 9 John Kacur 2014-02-05 17:01:29 EST
0fb6bd06e06792469acc15bbe427361b56ada528 upstream

Note You need to log in before you can comment on or make changes to this bug.